<?php
/**
 * Class Chalan_Pro_Notifications
 */
class Challan_Pro_Notifications{

	public function __construct(){
		$this->notifications_load_hooks();
	}

	/**
	 * Load all Notifications hooks.
	 */
	public function notifications_load_hooks(){

//        add_action( 'admin_notices', [ $this, 'challan_pro_black_friday_2021' ] );
		add_action('wp_ajax_challan_pro_hide_notice', [ $this, 'challan_pro_hide_notice' ] );

	}


	/**
	 * Black friday.
	 */
	public function challan_pro_black_friday_2021() {

		delete_option( 'challan_pro_black_friday_2021');

		$has_notice = false;
		if ( get_option('challan_pro_black_friday_2021') != 'showen_black_friday_banner' ) {
			$has_notice = true;

			$nonce         = wp_create_nonce( 'challan_pro_notice_nonce' );
			$pluginName    = sprintf( '<b>%s</b>', esc_html__( 'Challan', 'webappick-pdf-invoice-for-woocommerce' ) );

			$image_url = plugin_dir_url(dirname( __FILE__ )   ) . 'admin/images/black-friday-banner-for-challan.png'
			?>
			<div class="_winvoice-notice notice notice-info is-dismissible price_update" style="line-height:1.5;width: 100%" data-which="black_friday_2021_close" data-nonce="<?php echo esc_attr( $nonce ); ?>">
				<p><?php
					printf(
					/* translators: 1: plugin name,2: Slightly Smiling Face (Emoji), 3: line break 'br' tag */
						__( '<a class="_winvoice_price_update" href="https://webappick.com/plugin/woocommerce-pdf-invoice-packing-slips/?utm_source=customer_site&utm_medium=free_vs_pro&utm_campaign=woo_invoice_free" target="_blank">
<img  src="'.$image_url.'" alt="Challan_Pro_Price">
</a>', 'webappick-pdf-invoice-for-woocommerce' ),
						$pluginName, // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped
						'<span style="font-size: 16px;">&#128516</span>',
						'<div class="_winvoice-review-notice-logo"></div>',
						'<br>'
					);
					?></p>
			</div>
			<?php
			if ( true === $has_notice ) {
				add_action( 'admin_print_footer_scripts', function() use ( $nonce ) {
					?>
					<script>
						(function($){
							"use strict";
							$(document)
								.on('click', '._winvoice-notice .notice-dismiss', function (e) {
									e.preventDefault();
									// noinspection ES6ConvertVarToLetConst
									var self = $(this), invoice_notice = self.closest('._winvoice-notice'), which = invoice_notice.attr('data-which');
									console.log(invoice_notice.attr('data-which'))
									wp.ajax.post( 'challan_pro_hide_notice', { _wpnonce: '<?php echo esc_attr( $nonce ); ?>', which: which } );
								});
						})(jQuery)
					</script><?php
				}, 99 );
			}
		}

	}



	/**
	 * Ajax Action For Hiding Compatibility Notices
	 */
	public function challan_pro_hide_notice() {
		check_ajax_referer( 'challan_pro_notice_nonce' );
		$notices = [ 'black_friday_2021_close' ];
		if ( isset( $_REQUEST['which'] ) && ! empty( $_REQUEST['which'] ) && in_array( $_REQUEST['which'], $notices ) ) {

			if ( 'black_friday_2021_close' == $_REQUEST['which'] ) {
				update_option( 'challan_pro_black_friday_2021', 'showen_black_friday_banner' );
			}

			wp_send_json_success(true);
			wp_die();
		}
		wp_send_json_error( esc_html__( 'Invalid Request.', 'webappick-pdf-invoice-for-woocommerce' ) );
		wp_die();
	}

}

/**
 * Instance of the notification.
 */
new Challan_Pro_Notifications();
